use crate::cmd::config::EMU_CONFIG;
use amqprs::connection::{Connection, OpenConnectionArguments};
use std::sync::OnceLock;
pub static MQ: OnceLock<RabbitMQ> = OnceLock::new();

pub struct RabbitMQ {
    pub conn: Connection,
}

impl RabbitMQ {
    pub async fn new() -> Result<Self, anyhow::Error> {
        let string = EMU_CONFIG.get().unwrap().rabbitmq.host.as_str();
        let conn = Connection::open(&OpenConnectionArguments::new("", 0, "", "")).await?;
        Ok(RabbitMQ { conn })
    }
}
